%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           spambayes
Version:        1.0.4
Release:        7%{?dist}
Summary:        Bayesian anti-spam filter

Group:          Development/Languages
License:        Python
URL:            http://spambayes.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-1.0.4-py25.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel

%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif

%description
SpamBayes will attempt to classify incoming email messages as 'spam', 'ham'
(good, non-spam email) or 'unsure'. This means you can have spam or unsure
messages automatically filed away in a different mail folder, where it won't
interrupt your email reading. First SpamBayes must be trained by each user to
identify spam and ham. Essentially, you show SpamBayes a pile of email that
you like (ham) and a pile you don't like (spam). SpamBayes will then analyze
the piles for clues as to what makes the spam and ham different. For example;
different words, differences in the mailer headers and content style.  The
system then uses these clues to examine new messages.


%prep
%setup -q
%patch0 -p0 -b .py25~

# Fix rpmlint warnings
chmod -x *.txt

# remove shell bangs
pushd %{name}
for file in $(find . -type f -name "*.py"); do
  cp $file $file.orig
  grep -v -e "^\#\!" $file.orig > $file
  rm -f $file.orig
done
popd


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc *.txt
%{python_sitelib}/*
%{_bindir}/*
%exclude %{_bindir}/*.pyo
%exclude %{_bindir}/*.pyc


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0.4-6
- Rebuild for Python 2.6

* Wed Oct 17 2007 Christopher Stone <chris.stone@gmail.com> 1.0.4-5
- Providing Eggs for non-setuptools packages (bz#325041)

* Fri Apr 27 2007 Christopher Stone <chris.stone@gmail.com> 1.0.4-4
- Remove python from package name

* Thu Apr 05 2007 Christopher Stone <chris.stone@gmail.com> 1.0.4-3
- Add patch to fix python2.5 errors

* Thu Apr 05 2007 Christopher Stone <chris.stone@gmail.com> 1.0.4-2
- %%exclude pyo and pyc files from %%{_bindir}
- Add scriptlet to remove shebangs

* Sat Mar 31 2007 Christopher Stone <chris.stone@gmail.com> 1.0.4-1
- Initial Fedora release
